Retrieve social transactions in bulk

Search transactions in bulk by providing the IDs.

This is best used in combination with webhooks - you can directly take the IDs from "TRANSACTIONS.ADDED" and "TRANSACTIONS.UPDATED" webhook notifications and pass on to this API to get the updated transaction items.

Check the category field from the work platform API response or the "Category" column in this data guide to see which platfroms we serve under "social".

POST /v1/social/income/transactions/search
Basic auth

Body

· SocialTransactionSearch
application/json
ids array of string · min items: 1· max items: 100 required

List of upto 100 social transaction IDs for which to fetch data

Responses